package com.sachin.wifip2p;

import io.flutter.plugin.common.EventChannel;

public class EventChannelHandler implements EventChannel.StreamHandler {
    private final EventChannel _eventChannel;
    public EventChannel.EventSink _eventSink;

    public EventChannelHandler(EventChannel eventChannel) {
        _eventChannel = eventChannel;
        _eventChannel.setStreamHandler(this);
    }

    public void removeHandler() {
        _eventChannel.setStreamHandler(null);
    }

    @Override
    public void onListen(Object arguments, EventChannel.EventSink events) {
        _eventSink = events;
    }

    @Override
    public void onCancel(Object arguments) {

    }
}
